File extract zip page has 'quota' error

Bug #1822224 reported by Robert Lyon on 2019-03-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon

Bug Description

Trying to set the same sideblock twice

Robert Lyon (robertl-9) on 2019-03-29
Changed in mahara:
status: New → In Progress
importance: Undecided → High
tags: added: regression
Changed in mahara:
milestone: none → 19.04.0

Reviewed: https://reviews.mahara.org/9683
Committed: https://git.mahara.org/mahara/mahara/commit/6d48f277b1d772fe29020d1bf4e7e084c0580423
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6d48f277b1d772fe29020d1bf4e7e084c0580423
Author: Robert Lyon <email address hidden>
Date: Fri Mar 29 15:41:21 2019 +1300

Bug 1822224: Stop trying to set quota block twice

behatnotneeded

Change-Id: I83b1067e9b90a36868be669ebb5aedb9d3435ef3
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2019-03-29
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2019-03-29
Changed in mahara:
status: Fix Committed → In Progress
Robert Lyon (robertl-9) on 2019-04-08
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
Robert Lyon (robertl-9) wrote :

There are a few things to test for patch 9684 and all involve uploading a zip file containing files:

Test correct navigation is selected:

1) Upload a zip file to the institution / site / group files page and click on the 'Decompress' button (next to the edit/delete' buttons)
2) View the navigation - the correct 'files' link should be highlighted

Test that correct group quota block is displaying when extracting zip file in a group

1) Have a few groups, each with different amount of quota used up
2) Upload a zip file to one of the groups and click on the 'Decompress' button
3) Make sure the Quota block on the right says 'Group quota' and displays correct quota amount

Steven (stevens-q) wrote :

Commit: d8bb5c18effc49b2dfee291c5d52716ecf9c806f
Environment tested: Master
Browser tested: Chrome

PRECONDITIONS:
------------------------
1) Mahara User who is a Group admin for Group One and Group Two
2) Zip file exists with the following
      a) 2 image files (.jpg)
      b) 2 text files (.csv)
      c) 1 video files (.mp4)
3) Group One exist as follows
      a) Group quota = 20 MB
      b) 10% of quota used
4) Group Two exist as follows
      a) Group quota = 20 MB
      b) 50% +- of quota used (52%)

TEST STEPS: Group zip file upload testing
------------------------
1) Log in as Mahara user
2) Browse to Group One Files page
3) Upload the zip file as mentioned in preconditions
4) Verify that the zip file has a zip decompress file icon/button to the right of zip file and beside the edit & delete icon/buttons ✔
5) Click the decompress button
6) Verify that user is taken to an overview page of the contents of the zip file ✔
7) Verify that the Group quota side block is updated with used quota percentage ✔
8) Verify that the Files link/tab in the main menu is highlighted ✔
9) Click the decompress button
10) Verify that user is redirected back to the Group One files overview page and the files that were in the zip file are displayed ✔
11) Click the Parent folder link at top of the listing table
12) Verify that there is a new file folder with the same label as the zip file and the original zip file is also displayed ✔

TEST STEPS: Institution zip file upload testing
------------------------
1) Log in as Mahara user
2) Browse to Institution files page (Admin menu > Institutions > Files)
3) Upload the zip file as mentioned in preconditions
4) Verify that the zip file has a zip decompress file icon/button to the right of zip file and beside the edit & delete icon/buttons ✔
5) Click the decompress button
6) Verify that user is taken to an overview page of the contents of the zip file ✔
7) Verify that the Group quota side block is updated with used quota percentage ✔
8) Verify that the Files link under the admin main menu, Institutions submenu is highlighted ✔
9) Click the decompress button
10) Verify that user is redirected back to the Group One files overview page and the files that were in the zip file are displayed ✔
11) Click the Parent folder link at top of the listing table
12) Verify that there is a new file folder with the same label as the zip file and the original zip file is also displayed ✔

Catalyst QA Approved ✔

Reviewed: https://reviews.mahara.org/9684
Committed: https://git.mahara.org/mahara/mahara/commit/d8bb5c18effc49b2dfee291c5d52716ecf9c806f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit d8bb5c18effc49b2dfee291c5d52716ecf9c806f
Author: Robert Lyon <email address hidden>
Date: Fri Mar 29 16:03:46 2019 +1300

Bug 1822224: Fixing for group / site / institution files

behatnotneeded

Change-Id: I9de1f0a78152c5357bdf9774872fc6e81f329d3e
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/9732
Committed: https://git.mahara.org/mahara/mahara/commit/3bfd4c0012a484fbe6b72860804bf5f406668d0e
Submitter: Robert Lyon (<email address hidden>)
Branch: 19.04_STABLE

commit 3bfd4c0012a484fbe6b72860804bf5f406668d0e
Author: Robert Lyon <email address hidden>
Date: Fri Mar 29 16:03:46 2019 +1300

Bug 1822224: Fixing for group / site / institution files

behatnotneeded

Change-Id: I9de1f0a78152c5357bdf9774872fc6e81f329d3e
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit d8bb5c18effc49b2dfee291c5d52716ecf9c806f)

Robert Lyon (robertl-9) on 2019-04-09
Changed in mahara:
status: In Progress → Fix Committed
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers